Creates a new work order type
Request Information
URI Parameters :
None.
Body Parameters :
job_type| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| name |
Name of the job type |
string |
Required Max length: 50 |
| sales_organization_id |
Filled if specific to one organization, empty if global and can be used by all |
globally unique identifier | |
| description |
Description of the job type |
string |
Max length: 4000 |
| is_default |
Used to auto select one object when creating a jobs |
boolean | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date | |
| code |
Field used for Embedded entity (store there your ERP PK) |
string |
Max length: 50 |
| archived |
Used to archive job type |
boolean |
Request Formats :
application/json, text/json
{
"id": "33a64f0a-ac5b-4f0d-86fe-8c93463df1ca",
"name": "sample string 2",
"sales_organization_id": "150d214b-16da-4af7-8b6d-2d228d942571",
"description": "sample string 4",
"is_default": true,
"modified_dateutc": "2026-02-24T16:10:23.3807863+00:00",
"code": "sample string 7",
"archived": true
}
Response Information
Resource Description :
IHttpActionResult
job_type| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| name |
Name of the job type |
string |
Required Max length: 50 |
| sales_organization_id |
Filled if specific to one organization, empty if global and can be used by all |
globally unique identifier | |
| description |
Description of the job type |
string |
Max length: 4000 |
| is_default |
Used to auto select one object when creating a jobs |
boolean | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date | |
| code |
Field used for Embedded entity (store there your ERP PK) |
string |
Max length: 50 |
| archived |
Used to archive job type |
boolean |
Response Formats
application/json, text/json
{
"id": "b565aad2-ada2-4ccb-ba46-0b1dbbddafd0",
"name": "sample string 2",
"sales_organization_id": "14609887-c282-424a-a60e-05750871f065",
"description": "sample string 4",
"is_default": true,
"modified_dateutc": "2026-02-24T16:10:23.3907731+00:00",
"code": "sample string 7",
"archived": true
}